Restore SYSNAND after the creation of EMUNAND

billy997

Noob Account
Mar 10, 2019
3
1
Hong Kong
Trying to read all related posts but couldn't get the answer clear for myself .. obviously I couldn't understand how the EMUNAND works totally....

My case start from my stupid upgrade to version 7.0.1 and fuse burnt (luckily I have the SYSNAND backup at 6.1 but I don't have any EMUNAND created)

What I did:

  • Restore the NAND to 6.1 (obviously cannot boot OFW as the fuse burnt already)
  • Boot into SX OS, use the latest v2.5.3 to create EMUNAND (option "Files on microSD)
  • I am now able to launch CFW and play the XCI games
Questions:

1. I want to upgrade back my OFW to v7.0.1. If I restore NAND in SX OS using the old backup, would it delete / impact my EMUNAND which I am happy for it to stay in v6.1? What is the best way to do this? (I cannot do this via official way as I cannot boot up OFW)

2. In my downgrade 6.1 CFW, I got problems playing some XCI games as it prompts error "A system update is required" stop launching the game. Is there anyway to resolve this?
I read posts about DEVMENU / goldleaf having a function "not checking firmware version" when installing the games, but I got errors when I tried to install any nsp .. I am happy to stay with XCI but I have no way to launch the game... any advice?

Thanks.
 

imprezgc8

Staff member
Troll Eating Dogs
Nov 26, 2007
1,161
108
The Cloud
1. I want to upgrade back my OFW to v7.0.1. If I restore NAND in SX OS using the old backup, would it delete / impact my EMUNAND which I am happy for it to stay in v6.1? What is the best way to do this? (I cannot do this via official way as I cannot boot up OFW)
Updating your sysnand will not effect your emunand. Just make sure to stay with SX 2.5.3

2. In my downgrade 6.1 CFW, I got problems playing some XCI games as it prompts error "A system update is required" stop launching the game. Is there anyway to resolve this?
I read posts about DEVMENU / goldleaf having a function "not checking firmware version" when installing the games, but I got errors when I tried to install any nsp .. I am happy to stay with XCI but I have no way to launch the game... any advice?
You can use ChoijudourNX to update your emunand to 6.2
 
  • Like
Reactions: billy997

billy997

Noob Account
Mar 10, 2019
3
1
Hong Kong
Thanks for your prompt reply.

For (2), I have just updated the EMUNAND from 6.1 to 6.2. However, the XCI games (they are old games like mario kart, zelda, overcook )still not boot up but prompted "A software update is required. Update data will be downloaded now". There is no option "Start Software" as I saw before, now I can only choose "Cancel" or "Download"...

No idea why they force me to upgrade ..... any idea?

Thanks for your help.
 
Last edited:

imprezgc8

Staff member
Troll Eating Dogs
Nov 26, 2007
1,161
108
The Cloud
I don't sorry. Do you have the XCI backups installed or do you still mount them from the Album?
 

billy997

Noob Account
Mar 10, 2019
3
1
Hong Kong
I don't sorry. Do you have the XCI backups installed or do you still mount them from the Album?
I tried both ways. They were the old xci files I used placing at the root of SD. I was fine to play without doing the update (I can skip it as I have the option “start software”). Now the same XCI file but this option is no longer shown and now it forces me to update.

I tried to install the xci but same result. I also tried to find and install nsp but it always crashes during installation.
 

imprezgc8

Staff member
Troll Eating Dogs
Nov 26, 2007
1,161
108
The Cloud
I tried both ways. They were the old xci files I used placing at the root of SD. I was fine to play without doing the update (I can skip it as I have the option “start software”). Now the same XCI file but this option is no longer shown and now it forces me to update.

I tried to install the xci but same result. I also tried to find and install nsp but it always crashes during installation.
Have you backed your saves up? Do that first if not and then remove the game from the home screen and then go into Settings - Data Management - Manage Software and delete any game data that is there for the games in question. Then try mounting or installing the games again.
 

Dstony

Noob Account
Feb 10, 2019
1
1
Hk
I am also stupid to update the ofw to 7.0.1 ! However, i have a backup nand on 6.2! Can i just restore it by using sx 2.5.3 tools then i can back to 6.2 ofw?
 

gavin_darkglide

VIP Member
Dec 14, 2012
2,305
118
Personally, I would havee made a clean dump of the nand before writing back the old image. That being said, you should be able to boot to the stock nand on any firmware using hekate no matter what the fuses say, then you should be abe to update it with the stock updater. Or you could try using choidujour and memloader, if you want to do everything you can to avoid leaving traces of the downgrade/re-upgrade process, in the sense you would need to connect to Nintendo servers to update to a firmware you have already updated to.
 

YveMag

Noob Account
Feb 12, 2019
17
3
Here
today i installed pokemon in my regular switch, updated it to 1.01

then i put the 1.00 cartridge into my sx os switch to dump it
before i tried to start it and it said, i need update, once it even saiud system update needed (emunand 6.2, firm on cartridge 5.1)
after several put the card in and out, i was able to start it with 1.00, and also able to dump it

maybe the cartridge has a feature to save such available firmware or game update infos...
my 6.2nand has had not pikachu before, if this is possib le, maybe the xci contains such data too
 

Support Our Sponsors